Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.lucene.basic
Class BasicLuceneConfiguration

    java.lang.Object
      org.modeshape.jcr.query.lucene.LuceneSearchConfiguration
          org.modeshape.jcr.query.lucene.basic.BasicLuceneConfiguration

All Implemented Interfaces:
  org.hibernate.search.cfg.spi.SearchConfiguration

    public class BasicLuceneConfiguration

extends LuceneSearchConfiguration

The Hibernate Search `SearchConfiguration` implementation that specifies how Hibernate Search should be configured.

Field Summary

Fields inherited from class org.modeshape.jcr.query.lucene.LuceneSearchConfiguration
`DEFAULT_INDEX, HIBERNATE_PROPERTY_PREFIX`

Constructor Summary
`BasicLuceneConfiguration(String repositoryName, Properties backend, Properties indexing, Properties storage)` Create a configuration for the `BasicLuceneSchema`.

Method Summary
`protected static boolean` | `isFileOrClasspath(String value)`
`boolean` | `isIndexMetadataComplete()`
`protected static boolean` | `isJGroupsXml(String value)`

Methods inherited from class org.modeshape.jcr.query.lucene.LuceneSearchConfiguration
`getClassMapping, getClassMappings, getInstanceInitializer, getProgrammaticMapping, getProperties, getProperty, getProvidedServices, getReflectionManager, getVersion, isTransactionManagerExpected, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicLuceneConfiguration

    public BasicLuceneConfiguration(String repositoryName,
                                    Properties backend,
                                    Properties indexing,
                                    Properties storage)

  Create a configuration for the `BasicLuceneSchema`.

  Parameters:
    `repositoryName` - the name of the repository; may not be null
    `backend` - the `repository configuration` properties for the Hibernate Search backend; may not be null
    `indexing` - the `repository configuration` properties for the indexing options; may not be null
    `storage` - the `repository configuration` properties for index storage options; may not be null

Method Detail

### isFileOrClasspath

    protected static boolean isFileOrClasspath(String value)

### isJGroupsXml

    protected static boolean isJGroupsXml(String value)

### isIndexMetadataComplete

    public boolean isIndexMetadataComplete()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.